View Issue Details

IDProjectCategoryView StatusLast Update
0037124LazarusIDEpublic2020-06-05 03:57
ReporterMartin Friebe Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64bit IntelOSwin 10 
Product Version2.1 (SVN) 
Summary0037124: Access violation in Search result view (search in files)
DescriptionOpen search in files.
Enter "(a" / Unmatched bracket for regex
Set to search for reg-ex
Search

An error about the "unmatched (" will be shown. Click OK

The search result window, will have an empty tab for the failed search.
Close that tab (middle mouse, or small red x (not the window, the tab).


    Access violation
        Stack trace:
        $000000010010B971 line 627 of laz_avl_tree.pp
        $000000010010B92A line 635 of laz_avl_tree.pp
        $00000001007EA500 line 1470 of searchresultview.pp
        $00000001007E9AF0 line 1352 of searchresultview.pp
        $00000001000D1C5D
        $00000001000D1BB2
        $00000001002BC706 line 134 of lclclasses.pp
        $0000000100215961 line 5137 of include/control.inc
        $00000001001FE3C3 line 6662 of include/wincontrol.inc
        $000000010025E4DD line 64 of include/tabsheet.inc
        $0000000100010810
        $00000001007E737C line 793 of searchresultview.pp
        $00000001007E7CC8 line 939 of searchresultview.pp
        $00000001007E5FA8 line 451 of searchresultview.pp
        $0000000100213700 line 4459 of include/control.inc
        $000000010020BC42 line 2280 of include/control.inc
        $000000010020C71C line 2498 of include/control.inc
TagsNo tags attached.
Fixed in Revisionr63281
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2020-06-03 10:06

developer   ~0123197

Fixed, please test.

Issue History

Date Modified Username Field Change
2020-05-21 04:44 Martin Friebe New Issue
2020-06-03 09:58 Juha Manninen Assigned To => Juha Manninen
2020-06-03 09:58 Juha Manninen Status new => assigned
2020-06-03 10:06 Juha Manninen Status assigned => resolved
2020-06-03 10:06 Juha Manninen Resolution open => fixed
2020-06-03 10:06 Juha Manninen Fixed in Revision => r63281
2020-06-03 10:06 Juha Manninen LazTarget => -
2020-06-03 10:06 Juha Manninen Note Added: 0123197
2020-06-05 03:57 Martin Friebe Status resolved => closed